export declare namespace Predicates {
    const a: string;
    namespace SBOL1 {
        const nucleotides: string;
        const subComponent: string;
        const dnaSequence: string;
        const bioStart: string;
        const bioEnd: string;
        const displayId: string;
        const name: string;
        const description: string;
        const annotation: string;
        const strand: string;
        const component: string;
        const precedes: string;
    }
    namespace SBOL2 {
        const component: string;
        const module: string;
        const definition: string;
        const functionalComponent: string;
        const role: string;
        const location: string;
        const start: string;
        const end: string;
        const at: string;
        const sequenceAnnotation: string;
        const sequenceConstraint: string;
        const orientation: string;
        const displayId: string;
        const version: string;
        const access: string;
        const mapsTo: string;
        const local: string;
        const remote: string;
        const refinement: string;
        const interaction: string;
        const participation: string;
        const participant: string;
        const type: string;
        const sequence: string;
        const encoding: string;
        const elements: string;
        const persistentIdentity: string;
        const restriction: string;
        const subject: string;
        const object: string;
        const member: string;
        const model: string;
        const framework: string;
        const language: string;
        const source: string;
        const attachment: string;
        const format: string;
        const size: string;
        const hash: string;
        const built: string;
        const experimentalData: string;
        const sourceLocation: string;
        const measure: string;
        const template: string;
        const variableComponent: string;
        const strategy: string;
        const variable: string;
        const variant: string;
        const variantCollection: string;
        const variantDerivation: string;
    }
    namespace SBOLX {
        const subComponent: string;
        const instanceOf: string;
        const role: string;
        const location: string;
        const start: string;
        const end: string;
        const at: string;
        const sequenceAnnotation: string;
        const sequenceConstraint: string;
        const orientation: string;
        const id: string;
        const version: string;
        const access: string;
        const mapsTo: string;
        const local: string;
        const remote: string;
        const refinement: string;
        const interaction: string;
        const participation: string;
        const participant: string;
        const type: string;
        const sequence: string;
        const encoding: string;
        const elements: string;
        const persistentIdentity: string;
        const restriction: string;
        const subject: string;
        const object: string;
        const member: string;
        const model: string;
        const framework: string;
        const language: string;
        const source: string;
        const attachment: string;
        const format: string;
        const size: string;
        const hash: string;
        const built: string;
        const experimentalData: string;
        const sourceLocation: string;
        const measure: string;
    }
    namespace SBOL3 {
        const instanceOf: string;
        const role: string;
        const hasLocation: string;
        const start: string;
        const end: string;
        const at: string;
        const hasFeature: string;
        const hasConstraint: string;
        const orientation: string;
        const displayId: string;
        const name: string;
        const description: string;
        const access: string;
        const mapsTo: string;
        const local: string;
        const remote: string;
        const refinement: string;
        const hasInteraction: string;
        const hasInterface: string;
        const hasParticipation: string;
        const participant: string;
        const type: string;
        const hasSequence: string;
        const encoding: string;
        const elements: string;
        const persistentIdentity: string;
        const restriction: string;
        const subject: string;
        const object: string;
        const member: string;
        const hasModel: string;
        const framework: string;
        const language: string;
        const source: string;
        const hasAttachment: string;
        const format: string;
        const size: string;
        const hash: string;
        const built: string;
        const experimentalData: string;
        const sourceLocation: string;
        const hasMeasure: string;
        const hasNamespace: string;
        const template: string;
        const hasVariableFeature: string;
        const strategy: string;
        const variable: string;
        const variant: string;
        const variantCollection: string;
        const variantDerivation: string;
        const variantMeasure: string;
        const input: string;
        const output: string;
        const nondirectional: string;
        const definition: string;
    }
    namespace Dcterms {
        const title: string;
        const description: string;
    }
    namespace SVG {
        const fontFamily: string;
        const fontSize: string;
        const fontStyle: string;
    }
    namespace SyBiOnt {
        const encodedBy: string;
        const EC: string;
        const isBalanced: string;
        const isReactionClass: string;
        const inPolymerization: string;
        const inTransport: string;
        const reactionDirection: string;
        const hasReactionParticipant: string;
        const referencesCompound: string;
        const reactionSide: string;
        const reactionSummary: string;
        const stoicRatio: string;
        const compoundCharge: string;
        const compoundFormula: string;
        const compoundMass: string;
        const compoundSmilesFormula: string;
        const interactsWith: string;
        const taxId: string;
    }
    namespace Prov {
        const wasDerivedFrom: string;
        const wasGeneratedBy: string;
        const qualifiedAssociation: string;
        const qualifiedUsage: string;
        const startedAtTime: string;
        const endedAtTime: string;
        const wasInformedBy: string;
        const agent: string;
        const entity: string;
        const hadRole: string;
        const hadPlan: string;
    }
    namespace Enrichment {
        const hint: string;
        const orfStart: string;
        const orfEnd: string;
    }
    namespace Measure {
        const hasNumericalValue: string;
        const hasUnit: string;
    }
}
