"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Predicates = void 0;
const Prefixes_1 = require("./Prefixes");
var Predicates;
(function (Predicates) {
    Predicates.a = Prefixes_1.Prefixes.rdf + 'type';
    let SBOL1;
    (function (SBOL1) {
        SBOL1.nucleotides = Prefixes_1.Prefixes.sbol1 + 'nucleotides';
        SBOL1.subComponent = Prefixes_1.Prefixes.sbol1 + 'subComponent';
        SBOL1.dnaSequence = Prefixes_1.Prefixes.sbol1 + 'dnaSequence';
        SBOL1.bioStart = Prefixes_1.Prefixes.sbol1 + 'bioStart';
        SBOL1.bioEnd = Prefixes_1.Prefixes.sbol1 + 'bioEnd';
        SBOL1.displayId = Prefixes_1.Prefixes.sbol1 + 'displayId';
        SBOL1.name = Prefixes_1.Prefixes.sbol1 + 'name';
        SBOL1.description = Prefixes_1.Prefixes.sbol1 + 'description';
        SBOL1.annotation = Prefixes_1.Prefixes.sbol1 + 'annotation';
        SBOL1.strand = Prefixes_1.Prefixes.sbol1 + 'strand';
        SBOL1.component = Prefixes_1.Prefixes.sbol1 + 'component';
        SBOL1.precedes = Prefixes_1.Prefixes.sbol1 + 'precedes';
    })(SBOL1 = Predicates.SBOL1 || (Predicates.SBOL1 = {}));
    let SBOL2;
    (function (SBOL2) {
        SBOL2.component = Prefixes_1.Prefixes.sbol2 + 'component';
        SBOL2.module = Prefixes_1.Prefixes.sbol2 + 'module';
        SBOL2.definition = Prefixes_1.Prefixes.sbol2 + 'definition';
        SBOL2.functionalComponent = Prefixes_1.Prefixes.sbol2 + 'functionalComponent';
        SBOL2.role = Prefixes_1.Prefixes.sbol2 + 'role';
        SBOL2.location = Prefixes_1.Prefixes.sbol2 + 'location';
        SBOL2.start = Prefixes_1.Prefixes.sbol2 + 'start';
        SBOL2.end = Prefixes_1.Prefixes.sbol2 + 'end';
        SBOL2.at = Prefixes_1.Prefixes.sbol2 + 'at';
        SBOL2.sequenceAnnotation = Prefixes_1.Prefixes.sbol2 + 'sequenceAnnotation';
        SBOL2.sequenceConstraint = Prefixes_1.Prefixes.sbol2 + 'sequenceConstraint';
        SBOL2.orientation = Prefixes_1.Prefixes.sbol2 + 'orientation';
        SBOL2.displayId = Prefixes_1.Prefixes.sbol2 + 'displayId';
        SBOL2.version = Prefixes_1.Prefixes.sbol2 + 'version';
        SBOL2.access = Prefixes_1.Prefixes.sbol2 + 'access';
        SBOL2.mapsTo = Prefixes_1.Prefixes.sbol2 + 'mapsTo';
        SBOL2.local = Prefixes_1.Prefixes.sbol2 + 'local';
        SBOL2.remote = Prefixes_1.Prefixes.sbol2 + 'remote';
        SBOL2.refinement = Prefixes_1.Prefixes.sbol2 + 'refinement';
        SBOL2.interaction = Prefixes_1.Prefixes.sbol2 + 'interaction';
        SBOL2.participation = Prefixes_1.Prefixes.sbol2 + 'participation';
        SBOL2.participant = Prefixes_1.Prefixes.sbol2 + 'participant';
        SBOL2.type = Prefixes_1.Prefixes.sbol2 + 'type';
        SBOL2.sequence = Prefixes_1.Prefixes.sbol2 + 'sequence';
        SBOL2.encoding = Prefixes_1.Prefixes.sbol2 + 'encoding';
        SBOL2.elements = Prefixes_1.Prefixes.sbol2 + 'elements';
        SBOL2.persistentIdentity = Prefixes_1.Prefixes.sbol2 + 'persistentIdentity';
        SBOL2.restriction = Prefixes_1.Prefixes.sbol2 + 'restriction';
        SBOL2.subject = Prefixes_1.Prefixes.sbol2 + 'subject';
        SBOL2.object = Prefixes_1.Prefixes.sbol2 + 'object';
        SBOL2.member = Prefixes_1.Prefixes.sbol2 + 'member';
        SBOL2.model = Prefixes_1.Prefixes.sbol2 + 'model';
        SBOL2.framework = Prefixes_1.Prefixes.sbol2 + 'framework';
        SBOL2.language = Prefixes_1.Prefixes.sbol2 + 'language';
        SBOL2.source = Prefixes_1.Prefixes.sbol2 + 'source';
        SBOL2.attachment = Prefixes_1.Prefixes.sbol2 + 'attachment';
        SBOL2.format = Prefixes_1.Prefixes.sbol2 + 'format';
        SBOL2.size = Prefixes_1.Prefixes.sbol2 + 'size';
        SBOL2.hash = Prefixes_1.Prefixes.sbol2 + 'hash';
        SBOL2.built = Prefixes_1.Prefixes.sbol2 + 'built';
        SBOL2.experimentalData = Prefixes_1.Prefixes.sbol2 + 'experimentalData';
        SBOL2.sourceLocation = Prefixes_1.Prefixes.sbol2 + 'sourceLocation';
        SBOL2.measure = Prefixes_1.Prefixes.sbol2 + 'measure';
        SBOL2.template = Prefixes_1.Prefixes.sbol2 + 'template';
        SBOL2.variableComponent = Prefixes_1.Prefixes.sbol2 + 'variableComponent';
        SBOL2.strategy = Prefixes_1.Prefixes.sbol2 + 'strategy';
        SBOL2.variable = Prefixes_1.Prefixes.sbol2 + 'variable';
        SBOL2.variant = Prefixes_1.Prefixes.sbol2 + 'variant';
        SBOL2.variantCollection = Prefixes_1.Prefixes.sbol2 + 'variantCollection';
        SBOL2.variantDerivation = Prefixes_1.Prefixes.sbol2 + 'variantDerivation';
    })(SBOL2 = Predicates.SBOL2 || (Predicates.SBOL2 = {}));
    let SBOLX;
    (function (SBOLX) {
        SBOLX.subComponent = Prefixes_1.Prefixes.sbolx + 'subComponent';
        SBOLX.instanceOf = Prefixes_1.Prefixes.sbolx + 'instanceOf';
        SBOLX.role = Prefixes_1.Prefixes.sbolx + 'role';
        SBOLX.location = Prefixes_1.Prefixes.sbolx + 'location';
        SBOLX.start = Prefixes_1.Prefixes.sbolx + 'start';
        SBOLX.end = Prefixes_1.Prefixes.sbolx + 'end';
        SBOLX.at = Prefixes_1.Prefixes.sbolx + 'at';
        SBOLX.sequenceAnnotation = Prefixes_1.Prefixes.sbolx + 'sequenceAnnotation';
        SBOLX.sequenceConstraint = Prefixes_1.Prefixes.sbolx + 'sequenceConstraint';
        SBOLX.orientation = Prefixes_1.Prefixes.sbolx + 'orientation';
        SBOLX.id = Prefixes_1.Prefixes.sbolx + 'id';
        SBOLX.version = Prefixes_1.Prefixes.sbolx + 'version';
        SBOLX.access = Prefixes_1.Prefixes.sbolx + 'access';
        SBOLX.mapsTo = Prefixes_1.Prefixes.sbolx + 'mapsTo';
        SBOLX.local = Prefixes_1.Prefixes.sbolx + 'local';
        SBOLX.remote = Prefixes_1.Prefixes.sbolx + 'remote';
        SBOLX.refinement = Prefixes_1.Prefixes.sbolx + 'refinement';
        SBOLX.interaction = Prefixes_1.Prefixes.sbolx + 'interaction';
        SBOLX.participation = Prefixes_1.Prefixes.sbolx + 'participation';
        SBOLX.participant = Prefixes_1.Prefixes.sbolx + 'participant';
        SBOLX.type = Prefixes_1.Prefixes.sbolx + 'type';
        SBOLX.sequence = Prefixes_1.Prefixes.sbolx + 'sequence';
        SBOLX.encoding = Prefixes_1.Prefixes.sbolx + 'encoding';
        SBOLX.elements = Prefixes_1.Prefixes.sbolx + 'elements';
        SBOLX.persistentIdentity = Prefixes_1.Prefixes.sbolx + 'persistentIdentity';
        SBOLX.restriction = Prefixes_1.Prefixes.sbolx + 'restriction';
        SBOLX.subject = Prefixes_1.Prefixes.sbolx + 'subject';
        SBOLX.object = Prefixes_1.Prefixes.sbolx + 'object';
        SBOLX.member = Prefixes_1.Prefixes.sbolx + 'member';
        SBOLX.model = Prefixes_1.Prefixes.sbolx + 'model';
        SBOLX.framework = Prefixes_1.Prefixes.sbolx + 'framework';
        SBOLX.language = Prefixes_1.Prefixes.sbolx + 'language';
        SBOLX.source = Prefixes_1.Prefixes.sbolx + 'source';
        SBOLX.attachment = Prefixes_1.Prefixes.sbolx + 'attachment';
        SBOLX.format = Prefixes_1.Prefixes.sbolx + 'format';
        SBOLX.size = Prefixes_1.Prefixes.sbolx + 'size';
        SBOLX.hash = Prefixes_1.Prefixes.sbolx + 'hash';
        SBOLX.built = Prefixes_1.Prefixes.sbolx + 'built';
        SBOLX.experimentalData = Prefixes_1.Prefixes.sbolx + 'experimentalData';
        SBOLX.sourceLocation = Prefixes_1.Prefixes.sbolx + 'sourceLocation';
        SBOLX.measure = Prefixes_1.Prefixes.sbolx + 'measure';
    })(SBOLX = Predicates.SBOLX || (Predicates.SBOLX = {}));
    let SBOL3;
    (function (SBOL3) {
        SBOL3.instanceOf = Prefixes_1.Prefixes.sbol3 + 'instanceOf';
        SBOL3.role = Prefixes_1.Prefixes.sbol3 + 'role';
        SBOL3.hasLocation = Prefixes_1.Prefixes.sbol3 + 'hasLocation';
        SBOL3.start = Prefixes_1.Prefixes.sbol3 + 'start';
        SBOL3.end = Prefixes_1.Prefixes.sbol3 + 'end';
        SBOL3.at = Prefixes_1.Prefixes.sbol3 + 'at';
        SBOL3.hasFeature = Prefixes_1.Prefixes.sbol3 + 'hasFeature';
        SBOL3.hasConstraint = Prefixes_1.Prefixes.sbol3 + 'hasConstraint';
        SBOL3.orientation = Prefixes_1.Prefixes.sbol3 + 'orientation';
        SBOL3.displayId = Prefixes_1.Prefixes.sbol3 + 'displayId';
        SBOL3.name = Prefixes_1.Prefixes.sbol3 + 'name';
        SBOL3.description = Prefixes_1.Prefixes.sbol3 + 'description';
        SBOL3.access = Prefixes_1.Prefixes.sbol3 + 'access';
        SBOL3.mapsTo = Prefixes_1.Prefixes.sbol3 + 'mapsTo';
        SBOL3.local = Prefixes_1.Prefixes.sbol3 + 'local';
        SBOL3.remote = Prefixes_1.Prefixes.sbol3 + 'remote';
        SBOL3.refinement = Prefixes_1.Prefixes.sbol3 + 'refinement';
        SBOL3.hasInteraction = Prefixes_1.Prefixes.sbol3 + 'hasInteraction';
        SBOL3.hasInterface = Prefixes_1.Prefixes.sbol3 + 'hasInterface';
        SBOL3.hasParticipation = Prefixes_1.Prefixes.sbol3 + 'hasParticipation';
        SBOL3.participant = Prefixes_1.Prefixes.sbol3 + 'participant';
        SBOL3.type = Prefixes_1.Prefixes.sbol3 + 'type';
        SBOL3.hasSequence = Prefixes_1.Prefixes.sbol3 + 'hasSequence';
        SBOL3.encoding = Prefixes_1.Prefixes.sbol3 + 'encoding';
        SBOL3.elements = Prefixes_1.Prefixes.sbol3 + 'elements';
        SBOL3.persistentIdentity = Prefixes_1.Prefixes.sbol3 + 'persistentIdentity';
        SBOL3.restriction = Prefixes_1.Prefixes.sbol3 + 'restriction';
        SBOL3.subject = Prefixes_1.Prefixes.sbol3 + 'subject';
        SBOL3.object = Prefixes_1.Prefixes.sbol3 + 'object';
        SBOL3.member = Prefixes_1.Prefixes.sbol3 + 'member';
        SBOL3.hasModel = Prefixes_1.Prefixes.sbol3 + 'hasModel';
        SBOL3.framework = Prefixes_1.Prefixes.sbol3 + 'framework';
        SBOL3.language = Prefixes_1.Prefixes.sbol3 + 'language';
        SBOL3.source = Prefixes_1.Prefixes.sbol3 + 'source';
        SBOL3.hasAttachment = Prefixes_1.Prefixes.sbol3 + 'hasAttachment';
        SBOL3.format = Prefixes_1.Prefixes.sbol3 + 'format';
        SBOL3.size = Prefixes_1.Prefixes.sbol3 + 'size';
        SBOL3.hash = Prefixes_1.Prefixes.sbol3 + 'hash';
        SBOL3.built = Prefixes_1.Prefixes.sbol3 + 'built';
        SBOL3.experimentalData = Prefixes_1.Prefixes.sbol3 + 'experimentalData';
        SBOL3.sourceLocation = Prefixes_1.Prefixes.sbol3 + 'sourceLocation';
        SBOL3.hasMeasure = Prefixes_1.Prefixes.sbol3 + 'hasMeasure';
        SBOL3.hasNamespace = Prefixes_1.Prefixes.sbol3 + 'hasNamespace';
        SBOL3.template = Prefixes_1.Prefixes.sbol3 + 'template';
        SBOL3.hasVariableFeature = Prefixes_1.Prefixes.sbol3 + 'hasVariableFeature';
        SBOL3.strategy = Prefixes_1.Prefixes.sbol3 + 'strategy';
        SBOL3.variable = Prefixes_1.Prefixes.sbol3 + 'variable';
        SBOL3.variant = Prefixes_1.Prefixes.sbol3 + 'variant';
        SBOL3.variantCollection = Prefixes_1.Prefixes.sbol3 + 'variantCollection';
        SBOL3.variantDerivation = Prefixes_1.Prefixes.sbol3 + 'variantDerivation';
        SBOL3.variantMeasure = Prefixes_1.Prefixes.sbol3 + 'variantMeasure';
        SBOL3.input = Prefixes_1.Prefixes.sbol3 + 'input';
        SBOL3.output = Prefixes_1.Prefixes.sbol3 + 'output';
        SBOL3.nondirectional = Prefixes_1.Prefixes.sbol3 + 'nondirectional';
        SBOL3.definition = Prefixes_1.Prefixes.sbol3 + 'definition';
    })(SBOL3 = Predicates.SBOL3 || (Predicates.SBOL3 = {}));
    let Dcterms;
    (function (Dcterms) {
        Dcterms.title = Prefixes_1.Prefixes.dcterms + 'title';
        Dcterms.description = Prefixes_1.Prefixes.dcterms + 'description';
    })(Dcterms = Predicates.Dcterms || (Predicates.Dcterms = {}));
    let SVG;
    (function (SVG) {
        SVG.fontFamily = Prefixes_1.Prefixes.svg + 'font-family';
        SVG.fontSize = Prefixes_1.Prefixes.svg + 'font-size';
        SVG.fontStyle = Prefixes_1.Prefixes.svg + 'font-style';
    })(SVG = Predicates.SVG || (Predicates.SVG = {}));
    let SyBiOnt;
    (function (SyBiOnt) {
        SyBiOnt.encodedBy = Prefixes_1.Prefixes.sybio + 'encodedBy';
        SyBiOnt.EC = Prefixes_1.Prefixes.sybio + 'EC';
        SyBiOnt.isBalanced = Prefixes_1.Prefixes.sybio + 'isBalanced';
        SyBiOnt.isReactionClass = Prefixes_1.Prefixes.sybio + 'isReactionClass';
        SyBiOnt.inPolymerization = Prefixes_1.Prefixes.sybio + 'inPolymerization';
        SyBiOnt.inTransport = Prefixes_1.Prefixes.sybio + 'inTransport';
        SyBiOnt.reactionDirection = Prefixes_1.Prefixes.sybio + 'reactionDirection';
        SyBiOnt.hasReactionParticipant = Prefixes_1.Prefixes.sybio + 'hasReactionParticipant';
        SyBiOnt.referencesCompound = Prefixes_1.Prefixes.sybio + 'referencesCompound';
        SyBiOnt.reactionSide = Prefixes_1.Prefixes.sybio + 'reactionSide';
        SyBiOnt.reactionSummary = Prefixes_1.Prefixes.sybio + 'reactionSummary';
        SyBiOnt.stoicRatio = Prefixes_1.Prefixes.sybio + 'stoichiometricRatio';
        SyBiOnt.compoundCharge = Prefixes_1.Prefixes.sybio + 'compoundCharge';
        SyBiOnt.compoundFormula = Prefixes_1.Prefixes.sybio + 'compoundFormula';
        SyBiOnt.compoundMass = Prefixes_1.Prefixes.sybio + 'compoundMass';
        SyBiOnt.compoundSmilesFormula = Prefixes_1.Prefixes.sybio + 'compoundSmilesFormula';
        SyBiOnt.interactsWith = Prefixes_1.Prefixes.sybio + 'interactsWith';
        SyBiOnt.taxId = Prefixes_1.Prefixes.sybio + 'taxId';
    })(SyBiOnt = Predicates.SyBiOnt || (Predicates.SyBiOnt = {}));
    let Prov;
    (function (Prov) {
        Prov.wasDerivedFrom = Prefixes_1.Prefixes.prov + 'wasDerivedFrom';
        Prov.wasGeneratedBy = Prefixes_1.Prefixes.prov + 'wasGeneratedBy';
        Prov.qualifiedAssociation = Prefixes_1.Prefixes.prov + 'qualifiedAssociation';
        Prov.qualifiedUsage = Prefixes_1.Prefixes.prov + 'qualifiedUsage';
        Prov.startedAtTime = Prefixes_1.Prefixes.prov + 'startedAtTime';
        Prov.endedAtTime = Prefixes_1.Prefixes.prov + 'endedAtTime';
        Prov.wasInformedBy = Prefixes_1.Prefixes.prov + 'wasInformedBy';
        Prov.agent = Prefixes_1.Prefixes.prov + 'agent';
        Prov.entity = Prefixes_1.Prefixes.prov + 'entity';
        Prov.hadRole = Prefixes_1.Prefixes.prov + 'hadRole';
        Prov.hadPlan = Prefixes_1.Prefixes.prov + 'hadPlan';
    })(Prov = Predicates.Prov || (Predicates.Prov = {}));
    let Enrichment;
    (function (Enrichment) {
        Enrichment.hint = Prefixes_1.Prefixes.enrichment + 'hint';
        Enrichment.orfStart = Prefixes_1.Prefixes.enrichment + 'orfStart';
        Enrichment.orfEnd = Prefixes_1.Prefixes.enrichment + 'orfEnd';
    })(Enrichment = Predicates.Enrichment || (Predicates.Enrichment = {}));
    let Measure;
    (function (Measure) {
        Measure.hasNumericalValue = Prefixes_1.Prefixes.measure + 'hasNumericalValue';
        Measure.hasUnit = Prefixes_1.Prefixes.measure + 'hasUnit';
    })(Measure = Predicates.Measure || (Predicates.Measure = {}));
})(Predicates = exports.Predicates || (exports.Predicates = {}));
//# sourceMappingURL=Predicates.js.map