export declare namespace Specifiers {
    namespace SBOL2 {
        namespace Orientation {
            const Inline: string;
            const ReverseComplement: string;
        }
        namespace Direction {
            const Input: string;
            const Output: string;
            const InputAndOutput: string;
            const None: string;
        }
        namespace Access {
            const PublicAccess: string;
            const PrivateAccess: string;
        }
        namespace Type {
            const DNA: string;
            const RNA: string;
            const Protein: string;
            const SmallMolecule: string;
            const Complex: string;
            const Effector: string;
            const Circular: string;
        }
        namespace SequenceEncoding {
            const NucleicAcid: string;
            const RNA: string;
            const AminoAcid: string;
        }
        namespace SequenceConstraint {
            const Precedes: string;
            const OppositeOrientationAs: string;
        }
        namespace ProvRole {
            const Design: string;
            const Build: string;
            const Test: string;
            const Learn: string;
        }
        namespace MapsToRefinement {
            const UseLocal: string;
            const UseRemote: string;
        }
    }
    namespace SBOLX {
        namespace Orientation {
            const Inline: string;
            const ReverseComplement: string;
        }
        namespace Direction {
            const Input: string;
            const Output: string;
            const InputAndOutput: string;
            const None: string;
        }
        namespace Access {
            const PublicAccess: string;
            const PrivateAccess: string;
        }
        namespace Type {
            const DNA: string;
            const RNA: string;
            const Protein: string;
            const SmallMolecule: string;
            const Complex: string;
            const Effector: string;
            const Circular: string;
        }
        namespace SequenceEncoding {
            const NucleicAcid: string;
            const RNA: string;
            const AminoAcid: string;
        }
        namespace SequenceConstraint {
            const Precedes: string;
            const OppositeOrientationAs: string;
        }
        namespace ProvRole {
            const Design: string;
            const Build: string;
            const Test: string;
            const Learn: string;
        }
        namespace MapsToRefinement {
            const UseLocal: string;
            const UseRemote: string;
        }
    }
    namespace SBOL3 {
        namespace Orientation {
            const Inline: string;
            const ReverseComplement: string;
        }
        namespace Direction {
            const Input: string;
            const Output: string;
            const InputAndOutput: string;
            const None: string;
        }
        namespace Access {
            const PublicAccess: string;
            const PrivateAccess: string;
        }
        namespace Type {
            const DNA: string;
            const RNA: string;
            const Protein: string;
            const SmallMolecule: string;
            const Complex: string;
            const Effector: string;
            const Circular: string;
        }
        namespace SequenceEncoding {
            const NucleicAcid: string;
            const RNA: string;
            const AminoAcid: string;
        }
        namespace Constraint {
            const Precedes: string;
            const OppositeOrientationAs: string;
        }
        namespace ProvRole {
            const Design: string;
            const Build: string;
            const Test: string;
            const Learn: string;
        }
        namespace MapsToRefinement {
            const UseLocal: string;
            const UseRemote: string;
        }
    }
    namespace Visual {
        const Blackbox: string;
        const Whitebox: string;
        const Float: string;
        const Backbone: string;
        const Forward: string;
        const Reverse: string;
        const Expandable: string;
        const NotExpandable: string;
        const AnchorTop: string;
        const AnchorMid: string;
        const AnchorBottom: string;
    }
    namespace SO {
        const CDS: string;
        const Promoter: string;
        const RBS: string;
        const RestrictionSite: string;
        const Terminator: string;
        const OriginOfReplication: string;
        const OriginOfTransfer: string;
        const PlasmidBackbone: string;
        const EngineeredRegion: string;
    }
    namespace SBO {
        const Inhibition: string;
        const Inhibitor: string;
        const Inhibited: string;
        const Stimulation: string;
        const Stimulator: string;
        const Stimulated: string;
        const GeneticProduction: string;
        const Product: string;
        const Modifier: string;
        const Promoter: string;
        const Control: string;
    }
    namespace GO {
        const ProteinDepolymerization: string;
        const CovalentChromatinModification: string;
        const ProteinProcessing: string;
        const ProteinBinding: string;
        const CatalyticActivity: string;
    }
    namespace SyBiOnt {
        const Bidirectional: string;
        const LeftToRight: string;
        const RightToLeft: string;
        const UndefinedDirection: string;
        const LeftSide: string;
        const RightSide: string;
    }
}
