"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Types = void 0;
const Prefixes_1 = require("./Prefixes");
var Types;
(function (Types) {
    let SBOL1;
    (function (SBOL1) {
        SBOL1.DnaComponent = Prefixes_1.Prefixes.sbol1 + 'DnaComponent';
        SBOL1.DnaSequence = Prefixes_1.Prefixes.sbol1 + 'DnaSequence';
        SBOL1.Collection = Prefixes_1.Prefixes.sbol1 + 'Collection';
        SBOL1.SequenceAnnotation = Prefixes_1.Prefixes.sbol1 + 'SequenceAnnotation';
    })(SBOL1 = Types.SBOL1 || (Types.SBOL1 = {}));
    let SBOL2;
    (function (SBOL2) {
        SBOL2.ModuleDefinition = Prefixes_1.Prefixes.sbol2 + 'ModuleDefinition';
        SBOL2.ComponentDefinition = Prefixes_1.Prefixes.sbol2 + 'ComponentDefinition';
        SBOL2.Module = Prefixes_1.Prefixes.sbol2 + 'Module';
        SBOL2.Component = Prefixes_1.Prefixes.sbol2 + 'Component';
        SBOL2.Range = Prefixes_1.Prefixes.sbol2 + 'Range';
        SBOL2.Cut = Prefixes_1.Prefixes.sbol2 + 'Cut';
        SBOL2.GenericLocation = Prefixes_1.Prefixes.sbol2 + 'GenericLocation';
        SBOL2.SequenceAnnotation = Prefixes_1.Prefixes.sbol2 + 'SequenceAnnotation';
        SBOL2.SequenceConstraint = Prefixes_1.Prefixes.sbol2 + 'SequenceConstraint';
        SBOL2.Interaction = Prefixes_1.Prefixes.sbol2 + 'Interaction';
        SBOL2.Participation = Prefixes_1.Prefixes.sbol2 + 'Participation';
        SBOL2.Collection = Prefixes_1.Prefixes.sbol2 + 'Collection';
        SBOL2.FunctionalComponent = Prefixes_1.Prefixes.sbol2 + 'FunctionalComponent';
        SBOL2.Sequence = Prefixes_1.Prefixes.sbol2 + 'Sequence';
        SBOL2.MapsTo = Prefixes_1.Prefixes.sbol2 + 'MapsTo';
        SBOL2.Attachment = Prefixes_1.Prefixes.sbol2 + 'Attachment';
        SBOL2.Model = Prefixes_1.Prefixes.sbol2 + 'Model';
        SBOL2.Implementation = Prefixes_1.Prefixes.sbol2 + 'Implementation';
        SBOL2.Experiment = Prefixes_1.Prefixes.sbol2 + 'Experiment';
        SBOL2.ExperimentalData = Prefixes_1.Prefixes.sbol2 + 'ExperimentalData';
        SBOL2.CombinatorialDerivation = Prefixes_1.Prefixes.sbol2 + 'CombinatorialDerivation';
        SBOL2.VariableComponent = Prefixes_1.Prefixes.sbol2 + 'VariableComponent';
    })(SBOL2 = Types.SBOL2 || (Types.SBOL2 = {}));
    let SBOLX;
    (function (SBOLX) {
        SBOLX.Component = Prefixes_1.Prefixes.sbolx + 'Component';
        SBOLX.SubComponent = Prefixes_1.Prefixes.sbolx + 'SubComponent';
        SBOLX.Range = Prefixes_1.Prefixes.sbolx + 'Range';
        SBOLX.Cut = Prefixes_1.Prefixes.sbolx + 'Cut';
        SBOLX.SequenceConstraint = Prefixes_1.Prefixes.sbolx + 'SequenceConstraint';
        SBOLX.Interaction = Prefixes_1.Prefixes.sbolx + 'Interaction';
        SBOLX.Participation = Prefixes_1.Prefixes.sbolx + 'Participation';
        SBOLX.Collection = Prefixes_1.Prefixes.sbolx + 'Collection';
        SBOLX.Sequence = Prefixes_1.Prefixes.sbolx + 'Sequence';
        SBOLX.OrientedLocation = Prefixes_1.Prefixes.sbolx + 'OrientedLocation';
        SBOLX.SequenceAnnotation = Prefixes_1.Prefixes.sbolx + 'SequenceAnnotation';
        SBOLX.Attachment = Prefixes_1.Prefixes.sbolx + 'Attachment';
        SBOLX.Model = Prefixes_1.Prefixes.sbolx + 'Model';
        SBOLX.Implementation = Prefixes_1.Prefixes.sbolx + 'Implementation';
        SBOLX.MapsTo = Prefixes_1.Prefixes.sbolx + 'MapsTo';
        SBOLX.Experiment = Prefixes_1.Prefixes.sbolx + 'Experiment';
        SBOLX.ExperimentalData = Prefixes_1.Prefixes.sbolx + 'ExperimentalData';
    })(SBOLX = Types.SBOLX || (Types.SBOLX = {}));
    let SBOL3;
    (function (SBOL3) {
        SBOL3.Component = Prefixes_1.Prefixes.sbol3 + 'Component';
        SBOL3.SubComponent = Prefixes_1.Prefixes.sbol3 + 'SubComponent';
        SBOL3.Range = Prefixes_1.Prefixes.sbol3 + 'Range';
        SBOL3.Cut = Prefixes_1.Prefixes.sbol3 + 'Cut';
        SBOL3.EntireSequence = Prefixes_1.Prefixes.sbol3 + 'EntireSequence';
        SBOL3.Constraint = Prefixes_1.Prefixes.sbol3 + 'Constraint';
        SBOL3.Interaction = Prefixes_1.Prefixes.sbol3 + 'Interaction';
        SBOL3.Participation = Prefixes_1.Prefixes.sbol3 + 'Participation';
        SBOL3.Collection = Prefixes_1.Prefixes.sbol3 + 'Collection';
        SBOL3.Sequence = Prefixes_1.Prefixes.sbol3 + 'Sequence';
        SBOL3.OrientedLocation = Prefixes_1.Prefixes.sbol3 + 'OrientedLocation';
        SBOL3.SequenceFeature = Prefixes_1.Prefixes.sbol3 + 'SequenceFeature';
        SBOL3.Attachment = Prefixes_1.Prefixes.sbol3 + 'Attachment';
        SBOL3.Model = Prefixes_1.Prefixes.sbol3 + 'Model';
        SBOL3.Implementation = Prefixes_1.Prefixes.sbol3 + 'Implementation';
        SBOL3.MapsTo = Prefixes_1.Prefixes.sbol3 + 'MapsTo';
        SBOL3.Experiment = Prefixes_1.Prefixes.sbol3 + 'Experiment';
        SBOL3.ExperimentalData = Prefixes_1.Prefixes.sbol3 + 'ExperimentalData';
        SBOL3.Namespace = Prefixes_1.Prefixes.sbol3 + 'Namespace';
        SBOL3.CombinatorialDerivation = Prefixes_1.Prefixes.sbol3 + 'CombinatorialDerivation';
        SBOL3.VariableFeature = Prefixes_1.Prefixes.sbol3 + 'VariableFeature';
        SBOL3.Interface = Prefixes_1.Prefixes.sbol3 + 'Interface';
        SBOL3.LocalSubComponent = Prefixes_1.Prefixes.sbol3 + 'LocalSubComponent';
        SBOL3.ExternallyDefined = Prefixes_1.Prefixes.sbol3 + 'ExternallyDefined';
    })(SBOL3 = Types.SBOL3 || (Types.SBOL3 = {}));
    let Visual;
    (function (Visual) {
        Visual.ModuleDepiction = Prefixes_1.Prefixes.visual + 'ModuleDepiction';
        Visual.ComponentDepiction = Prefixes_1.Prefixes.visual + 'ComponentDepiction';
        Visual.Glyph = Prefixes_1.Prefixes.visual + 'Glyph';
        Visual.Label = Prefixes_1.Prefixes.visual + 'Label';
    })(Visual = Types.Visual || (Types.Visual = {}));
    let SyBiOnt;
    (function (SyBiOnt) {
        SyBiOnt.Protein = Prefixes_1.Prefixes.sybio + 'Protein';
        SyBiOnt.InduciblePromoter = Prefixes_1.Prefixes.sybio + 'InduciblePromoter';
        SyBiOnt.Reaction = Prefixes_1.Prefixes.sybio + 'Reaction';
        SyBiOnt.ReactionParticipant = Prefixes_1.Prefixes.sybio + 'ReactionParticipant';
        SyBiOnt.Compound = Prefixes_1.Prefixes.sybio + 'Compound';
    })(SyBiOnt = Types.SyBiOnt || (Types.SyBiOnt = {}));
    let Prov;
    (function (Prov) {
        Prov.Agent = Prefixes_1.Prefixes.prov + 'Agent';
        Prov.Association = Prefixes_1.Prefixes.prov + 'Association';
        Prov.Activity = Prefixes_1.Prefixes.prov + 'Activity';
        Prov.Usage = Prefixes_1.Prefixes.prov + 'Usage';
        Prov.Plan = Prefixes_1.Prefixes.prov + 'Plan';
    })(Prov = Types.Prov || (Types.Prov = {}));
    let Enrichment;
    (function (Enrichment) {
        Enrichment.GeneProduct = Prefixes_1.Prefixes.enrichment + 'GeneProduct';
    })(Enrichment = Types.Enrichment || (Types.Enrichment = {}));
    let Measure;
    (function (Measure_1) {
        Measure_1.Measure = Prefixes_1.Prefixes.measure + 'Measure';
    })(Measure = Types.Measure || (Types.Measure = {}));
})(Types = exports.Types || (exports.Types = {}));
//# sourceMappingURL=Types.js.map