"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.roleURIToName = void 0;
const Specifiers_1 = require("../Specifiers");
const roles = [
    {
        name: 'CDS',
        uri: Specifiers_1.Specifiers.SO.CDS,
    },
    {
        name: 'Engineered Region',
        uri: Specifiers_1.Specifiers.SO.EngineeredRegion
    },
    {
        name: 'OriR',
        uri: Specifiers_1.Specifiers.SO.OriginOfReplication
    },
    {
        name: 'OriT',
        uri: Specifiers_1.Specifiers.SO.OriginOfTransfer
    },
    {
        name: 'Plasmid Backbone',
        uri: Specifiers_1.Specifiers.SO.PlasmidBackbone
    },
    {
        name: 'Promoter',
        uri: Specifiers_1.Specifiers.SO.Promoter
    },
    {
        name: 'RBS',
        uri: Specifiers_1.Specifiers.SO.RBS
    },
    {
        name: 'Restriction Site',
        uri: Specifiers_1.Specifiers.SO.RestrictionSite
    },
    {
        name: 'Terminator',
        uri: Specifiers_1.Specifiers.SO.Terminator
    }
];
const uriToName = new Map();
roles.forEach((role) => {
    uriToName.set(role.uri, role.name);
});
function roleURIToName(uri) {
    return uriToName.get(uri) || uri;
}
exports.roleURIToName = roleURIToName;
exports.default = roles;
//# sourceMappingURL=roles.js.map